Subject: Re: bug#19909: [PATCH] Error out if with-file-notification=w32 is specified on cygwin

From: Robert Pluim <[email-masked]>
Date: Fri, 20 Feb 2015 15:16:49 +0100

Eli Zaretskii <[email-masked]> writes:

>> From: Robert Pluim <[email-masked]>
>> Date: Fri, 20 Feb 2015 11:19:16 +0100
>> 
>> Eli Zaretskii <[email-masked]> writes:
>> 
>> >> From: Robert Pluim <[email-masked]>
>> >> Date: Fri, 20 Feb 2015 10:47:36 +0100
>> >> 
>> >> It's a combination that won't compile, so it's probably best to error
>> >> out during configure.
>> >
>> > Why doesn't it compile?  Perhaps it's better to allow it to compile,
>> > than to error out.
>> 
>> I guess whoever put the following in w32.h had his reasons:
>> 
>> #ifdef CYGWIN
>> #error "w32.h is not compatible with Cygwin"
>> #endif
>
> According to the comment in w32notify.c, w32.h is included only for
> w32_strerror.  Could you try commenting out the w32.h inclusion, and
> instead copy the w32_strerror prototype into w32notify.c?  Does Emacs
> compile then as part of the Cygwin-w32 build, and do file
> notifications work?  (I don't have Cygwin installed to try that,
> sorry.)
>

No, that doesn't compile. w32notify.c needs (at least)
w32_unicode_filenames, filename_to_utf16(), filename_to_ansi() and
w32_valid_pointer_p() from w32.c.

I don't think adding w32.c into the build on cygwin is going to work.

Regards

Robert